// script.js
// 1. Désactiver le menu contextuel (clic droit)
document.addEventListener("contextmenu", function (e) {
  e.preventDefault();
});
// Attendre que le DOM soit complètement chargé
document.addEventListener("DOMContentLoaded", function () {
  // 2. Gestion du menu hamburger pour la navigation responsive
  const hamburgerMenu = document.querySelector(".hamburger-menu");
  const navMenu = document.querySelector(".nav-menu");
  if (hamburgerMenu && navMenu) {
    hamburgerMenu.addEventListener("click", () => {
      navMenu.classList.toggle("active");
    });
  }
  // 3. Affichage de l'heure en temps réel
  function afficherHeure() {
    const date = new Date();
    const heure = date.toLocaleTimeString();
    const horlogeElement = document.getElementById("horloge");
    if (horlogeElement) {
      horlogeElement.textContent = heure;
    }
  }
  afficherHeure();
  setInterval(afficherHeure, 1000);
  // 4. Fonction pour passer en mode plein écran
  function ouvrirPleinEcran() {
    const element = document.documentElement;
    if (element.requestFullscreen) {
      element.requestFullscreen();
    } else if (element.mozRequestFullScreen) {
      element.mozRequestFullScreen();
    } else if (element.webkitRequestFullscreen) {
      element.webkitRequestFullscreen();
    } else if (element.msRequestFullscreen) {
      element.msRequestFullscreen();
    }
  }
  // 5. Code du calendrier
  const monthYear = document.getElementById("monthYear");
  const daysContainer = document.getElementById("days");
  const prevMonthBtn = document.getElementById("prevMonth");
  const nextMonthBtn = document.getElementById("nextMonth");
  const currentDay = document.getElementById("currentDay");
  function displayCurrentDay() {
    const day = localStorage.getItem("currentDay");
    if (day && currentDay) {
      currentDay.textContent = day;
    }
  }
  displayCurrentDay();
  let currentDate = new Date();
  let currentMonth = currentDate.getMonth();
  let currentYear = currentDate.getFullYear();
  let today = currentDate.getDate();
  function generateCalendar(month, year) {
    monthYear.textContent = new Date(year, month).toLocaleString("fr-FR", {
      month: "long",
      year: "numeric",
    });
    daysContainer.innerHTML = "";
    const firstDay = new Date(year, month, 1).getDay();
    const daysInMonth = new Date(year, month + 1, 0).getDate();
    for (let i = 0; i < firstDay; i++) {
      const emptyDiv = document.createElement("div");
      emptyDiv.classList.add("empty");
      daysContainer.appendChild(emptyDiv);
    }
    for (let i = 1; i <= daysInMonth; i++) {
      const dayDiv = document.createElement("div");
      dayDiv.textContent = i;
      daysContainer.appendChild(dayDiv);
      if (
        i === today &&
        month === new Date().getMonth() &&
        year === new Date().getFullYear()
      ) {
        dayDiv.style.backgroundColor = "#fff";
        dayDiv.style.color = "#000";
      }
    }
  }
  function updateCalendar() {
    generateCalendar(currentMonth, currentYear);
  }
  prevMonthBtn.addEventListener("click", () => {
    currentMonth--;
    if (currentMonth < 0) {
      currentMonth = 11;
      currentYear--;
    }
    updateCalendar();
    updateCurrentDay();
  });
  nextMonthBtn.addEventListener("click", () => {
    currentMonth++;
    if (currentMonth > 11) {
      currentMonth = 0;
      currentYear++;
    }
    updateCalendar();
    updateCurrentDay();
  });

  function updateCurrentDay() {
    const today = new Date();
    const day = today.getDate();
    const dayName = today.toLocaleDateString("fr-FR", { weekday: "long" }); // Obtient le nom du jour
    const formattedDate = `${dayName} ${day}`; // Formate la date
    currentDay.textContent = formattedDate;
    localStorage.setItem("currentDay", formattedDate); // Stocker la date formatée dans localStorage
  }
  updateCalendar();
  updateCurrentDay();
  // Mettre à jour le numéro du jour toutes les secondes
  setInterval(updateCurrentDay, 1000);
  // 6. Affichage du jour depuis localStorage
  function displayCurrentDay() {
    const day = localStorage.getItem("currentDay");
    if (day && currentDay) {
      currentDay.textContent = day;
    }
  }
  displayCurrentDay();
});
function enregistrerNotes() {
  try {
    var notes = document.getElementById("notes").value;
    var element = document.createElement("a");
    element.setAttribute(
      "href",
      "data:text/plain;charset=utf-8," + encodeURIComponent(notes),
    );
    element.setAttribute("download", "notes.txt");
    element.style.display = "none";
    document.body.appendChild(element);
    element.click();
    document.body.removeChild(element);
  } catch (error) {
    console.error("Erreur lors de l'enregistrement des notes :", error);
    alert(
      "Erreur lors de l'enregistrement des notes. Veuillez vérifier la console.",
    );
  }
}
function enregistrerNotes() {
  try {
    var notes = document.getElementById("notes").value;
    localStorage.setItem("notes", notes);
    console.log("Notes enregistrées :", localStorage.getItem("notes")); // Ajout d'un log
    alert("Notes enregistrées !");
  } catch (error) {
    console.error("Erreur lors de l'enregistrement des notes :", error);
    alert(
      "Erreur lors de l'enregistrement des notes. Veuillez vérifier la console.",
    );
  }
}
function importerNotes() {
  try {
    var notes = localStorage.getItem("notes");
    if (notes) {
      document.getElementById("notes").value = notes;
      alert("Notes importées !");
    } else {
      alert("Aucune note enregistrée.");
    }
  } catch (error) {
    console.error("Erreur lors de l'importation des notes :", error);
    alert(
      "Erreur lors de l'importation des notes. Veuillez vérifier la console.",
    );
  }
}
